org.apache.maven.scm.provider.perforce.command.login

## Class PerforceLoginConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.perforce.command.AbstractPerforceConsumer
  - - org.apache.maven.scm.provider.perforce.command.login.PerforceLoginConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class PerforceLoginConsumer
    extends AbstractPerforceConsumer
    implements org.codehaus.plexus.util.cli.StreamConsumer

Version:
  $Id: PerforceChangeLogConsumer.java 331276 2005-11-07 15:04:54Z evenisse $
Author:
  Mike Perham

### Field Summary

Fields
`static int` `STATE_ERROR`
`static int` `STATE_LOGIN`

### Fields inherited from class org.apache.maven.scm.provider.perforce.command.AbstractPerforceConsumer

`output`

### Constructor Summary

Constructors
Constructor and Description
`PerforceLoginConsumer()`

### Method Summary

Methods
`void` `consumeLine(String line)`
`boolean` `isSuccess()`

### Methods inherited from class org.apache.maven.scm.provider.perforce.command.AbstractPerforceConsumer

`getOutput`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STATE_LOGIN

    public static final int STATE_LOGIN

See Also:
  Constant Field Values

#### STATE_ERROR

    public static final int STATE_ERROR

See Also:
  Constant Field Values

### Constructor Detail

#### PerforceLoginConsumer

    public PerforceLoginConsumer()

### Method Detail

#### consumeLine

    public void consumeLine(String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### isSuccess

    public boolean isSuccess()